.tx-pds-connect {
    font-family: 'Ubuntu Condensed', sans-serif;
    max-width: 1000px;
    margin: 0px auto;
    /* margin-bottom: 100px; */
}


.survey .ui-checkbox {
    max-width: 50%;
}


.survey input[type="radio"] {
    display: none;
}

#mainCol {
    margin-left: 3%;
    margin-right: 3%;
}

.ce-div {
    color: red;
}

.survey {
    text-align: center;
}

.csc-mailform {
    max-width: 300px;
}

#comment {
    height: 80px !important;
    overflow-y: scroll;
}


.cam-icon {
    position: relative;
    left: 100px;
    top: 100px;
    z-index: 2;
}

.user-img {
    max-width: 150px;
    height: 150px;
    position: relative;
    margin: 0px auto;

}



.photo {
    position: absolute;
}

.photo img {
    image-orientation: from-image;
    image-orientation: from-image;
}

#upload-img {
    height: 300px;
}

#upload-img2 {
    height: 300px;
}

#upload-img3 {
    height: 300px;
}

#upload-img4 {
    height: 300px;
}



.img-container {
    margin-top: 20px;
}

.single-img {
    margin-top: 10px;
}

.no-border {
    padding: 0;
    height: 200px;
    overflow: hidden;
    border: 1px solid white;
}

.no-border2 {
    padding: 0;
    height: 140px;
    overflow: hidden;
    text-align: center;
}

.no-border2 img {
    object-fit: cover;
    /* Do not scale the image */
    object-position: center;
    /* Center the image within the element */
    height: 100px;
    width: 100px;


}

.poll-info {
    height: 20px;
    width: 100%;
    color: black;
}

.bottom-20 {
    height: 250px !important;
}

.edit-image {
    padding: 0;
    height: 200px;
    overflow: hidden;
    border: 1px solid white;
}

.edit-image img {
    object-fit: cover;
    /* Do not scale the image */
    object-position: center;
    /* Center the image within the element */
    height: 200px;
    width: 200px;

}


.no-border img {
    object-fit: cover;
    /* Do not scale the image */
    object-position: center;
    /* Center the image within the element */
    height: 200px;
    width: 200px;

}

.fit-img {
    object-fit: cover;
    /* Do not scale the image */
    object-position: center;
    /* Center the image within the element */
}

.ov-user-img {

    max-height: 50px;
    object-fit: contain;
    margin-top: -80px;
    width: 50px !important;
}

.top-coiners {
    padding-top: 5px;
    border: 1px solid grey;
    height: 60px;
    margin-bottom: 10px;
    box-shadow: 5px 5px 5px grey;
    font-size: 20px;
}

.top-coiners-number {
    color: white;
    font-size: 30px;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    margin-right: 20px;
}


.loadingAnimation {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba(255, 255, 255, .8) url('https://i.stack.imgur.com/FhHRx.gif') 50% 50% no-repeat;
}

/* When the body has the loading class, we turn
   the scrollbar off with overflow:hidden */
body.loading .loadingAnimation {
    overflow: hidden;
}

/* Anytime the body has the loading class, our
   modal element will be visible */
body.loading .loadingAnimation {
    display: block;
}

/* ------------------ added during update procedure ------------------- */

.form-control,
.form-select,
.form-check-input,
.ts-control {
    border-color: lightblue !important;
}

.check-container {
    background-color: rgb(245, 245, 245);
    padding: 5px;
    border-radius: 5px;
}

.order-details-table {
    table-layout: fixed;
    width: 100%;
}

.order-details-table th,
.order-details-table td {
    vertical-align: middle;
}

.order-details-table td:nth-child(2) {
    word-break: break-word;
}

.accordion {
    margin-top: 5px;
}

.login-form .form-control {
    border-radius: .75rem;
}

.login-form .btn {
    border-radius: .75rem;
}

.login-card {
    max-width: 480px;
}

/* Werkzeugverwaltung */

#sidebar-wrapper {
  min-height: 100vh;
  margin-left: -15rem;
  transition: margin 0.25s ease-out;
}

#sidebar-wrapper .sidebar-heading {
  padding: 0.875rem 1.25rem;
  font-size: 1.2rem;
}

#sidebar-wrapper .list-group {
  width: 15rem;
}

#page-content-wrapper {
  min-width: 100vw;
}

body.sb-sidenav-toggled #wrapper #sidebar-wrapper {
  margin-left: 0;
}

@media (min-width: 768px) {
  #sidebar-wrapper {
    margin-left: 0;
  }

  #page-content-wrapper {
    min-width: 0;
    width: 100%;
  }

  body.sb-sidenav-toggled #wrapper #sidebar-wrapper {
    margin-left: -15rem;
  }
}

/* Ende Werkzeugverwaltung */

/* ------------------ could possibly be removed ------------------- */

#progress_bar {
    margin: 10px 0;
    padding: 3px;
    border: 1px solid #000;
    font-size: 14px;
    clear: both;
    opacity: 0;
    -moz-transition: opacity 1s linear;
    -o-transition: opacity 1s linear;
    -webkit-transition: opacity 1s linear;
}

#progress_bar.loading {
    opacity: 1.0;
}

#progress_bar .percent {
    background-color: #99ccff;
    height: auto;
    width: 0;
}

.sk-folding-cube {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;

}

.sk-folding-cube {
    margin: 20px auto;
    width: 40px;
    height: 40px;
    position: relative;
    -webkit-transform: rotateZ(45deg);
    transform: rotateZ(45deg);
}

.sk-folding-cube .sk-cube {
    float: left;
    width: 50%;
    height: 50%;
    position: relative;
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
}

.sk-folding-cube .sk-cube:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #333;
    -webkit-animation: sk-foldCubeAngle 2.4s infinite linear both;
    animation: sk-foldCubeAngle 2.4s infinite linear both;
    -webkit-transform-origin: 100% 100%;
    -ms-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
}

.sk-folding-cube .sk-cube2 {
    -webkit-transform: scale(1.1) rotateZ(90deg);
    transform: scale(1.1) rotateZ(90deg);
}

.sk-folding-cube .sk-cube3 {
    -webkit-transform: scale(1.1) rotateZ(180deg);
    transform: scale(1.1) rotateZ(180deg);
}

.sk-folding-cube .sk-cube4 {
    -webkit-transform: scale(1.1) rotateZ(270deg);
    transform: scale(1.1) rotateZ(270deg);
}

.sk-folding-cube .sk-cube2:before {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.sk-folding-cube .sk-cube3:before {
    -webkit-animation-delay: 0.6s;
    animation-delay: 0.6s;
}

.sk-folding-cube .sk-cube4:before {
    -webkit-animation-delay: 0.9s;
    animation-delay: 0.9s;
}

@-webkit-keyframes sk-foldCubeAngle {

    0%,
    10% {
        -webkit-transform: perspective(140px) rotateX(-180deg);
        transform: perspective(140px) rotateX(-180deg);
        opacity: 0;
    }

    25%,
    75% {
        -webkit-transform: perspective(140px) rotateX(0deg);
        transform: perspective(140px) rotateX(0deg);
        opacity: 1;
    }

    90%,
    100% {
        -webkit-transform: perspective(140px) rotateY(180deg);
        transform: perspective(140px) rotateY(180deg);
        opacity: 0;
    }
}

@keyframes sk-foldCubeAngle {

    0%,
    10% {
        -webkit-transform: perspective(140px) rotateX(-180deg);
        transform: perspective(140px) rotateX(-180deg);
        opacity: 0;
    }

    25%,
    75% {
        -webkit-transform: perspective(140px) rotateX(0deg);
        transform: perspective(140px) rotateX(0deg);
        opacity: 1;
    }

    90%,
    100% {
        -webkit-transform: perspective(140px) rotateY(180deg);
        transform: perspective(140px) rotateY(180deg);
        opacity: 0;
    }
}